Bug 231784 - audio/zita-resampler: Fix CFLAGS
Summary: audio/zita-resampler: Fix CFLAGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2018-09-28 14:02 UTC by Piotr Kubaj
Modified: 2018-10-28 11:15 UTC (History)
2 users (show)

See Also:
meka: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (1.23 KB, patch)
2018-09-28 14:02 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-28 14:02:11 UTC
Created attachment 197570 [details]
patch

Makefile adds -march=native, which breaks compilation on architectures like powerpc64 and should only be added by user.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-04 04:19:57 UTC
Comment on attachment 197570 [details]
patch

Approved by: portmgr (blanket, framework compliance)
Approved by: Goran Mekić <meka tilda center> (maintainer)
Comment 2 commit-hook freebsd_committer 2018-10-28 11:15:12 UTC
A commit references this bug:

Author: linimon
Date: Sun Oct 28 11:14:40 UTC 2018
New revision: 483275
URL: https://svnweb.freebsd.org/changeset/ports/483275

Log:
  Fix CFLAGS.

  PR:		231784
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/audio/zita-resampler/files/patch-Makefile